Package be.vlaanderen.mercurius.mohm.common.v7

# Class ApplicationViewSupportAndRepairType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.ApplicationViewSupportAndRepairType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ApplicationViewSupportAndRepairType extends Object implements Serializable
Generiek type voor het beeld van een actief budget onderhoud en herstel.

Java class for ApplicationViewSupportAndRepairType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationViewSupportAndRepairType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MobilityTool" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairViewMobilityToolType"/>
             <element name="SupportAndRepair" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}SupportAndRepairType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ApplicationViewSupportAndRepairType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SupportAndRepairViewMobilityToolType`
  `getMobilityTool()`
  Groeperend element met informatie over het mobiliteitshulpmiddel en eventuele aanpassingen.
  `SupportAndRepairType`
  `getSupportAndRepair()`
  Groeperend element met informatie over het actief budget voor onderhoud en herstel.
  `void`
  `setMobilityTool(SupportAndRepairViewMobilityToolType value)`
  Sets the value of the mobilityTool property.
  `void`
  `setSupportAndRepair(SupportAndRepairType value)`
  Sets the value of the supportAndRepair property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ApplicationViewSupportAndRepairType

    public ApplicationViewSupportAndRepairType()

- ## Method Details

  - ### getMobilityTool

    public SupportAndRepairViewMobilityToolType getMobilityTool()
    Groeperend element met informatie over het mobiliteitshulpmiddel en eventuele aanpassingen.
    Returns:
      possible object is `SupportAndRepairViewMobilityToolType`

  - ### setMobilityTool

    public void setMobilityTool(SupportAndRepairViewMobilityToolType value)
    Sets the value of the mobilityTool property.
    Parameters:
      `value` - allowed object is `SupportAndRepairViewMobilityToolType`
    See Also:
      - `getMobilityTool()`

  - ### getSupportAndRepair

    public SupportAndRepairType getSupportAndRepair()
    Groeperend element met informatie over het actief budget voor onderhoud en herstel.
    Returns:
      possible object is `SupportAndRepairType`

  - ### setSupportAndRepair

    public void setSupportAndRepair(SupportAndRepairType value)
    Sets the value of the supportAndRepair property.
    Parameters:
      `value` - allowed object is `SupportAndRepairType`
    See Also:
      - `getSupportAndRepair()`